import {Component, Input} from "@angular/core";

@Component({
  selector: 'nice-button',
  template: `
    <button [style.background-color]="backColor">{{text}}</button>
  `
})
export class NiceButtonComponent {

  @Input() backColor: string = 'red';
  @Input() text: string = 'Button';

  constructor() {
  }
}
