import {NgModule, ModuleWithProviders} from '@angular/core';
import {NiceLabelComponent} from './label/nice-label.component';
import {NiceTextFieldComponent} from './text-field/nice-text-field.component';
import {NiceTopBarComponent} from "./top-bar/top-bar.component";
import {NiceButtonComponent} from "./button/nice-button.component";
import {NiceSideBarComponent} from "./side-bar/nice-side-bar.component";

@NgModule({
  declarations: [
    NiceLabelComponent,
    NiceTextFieldComponent,
    NiceTopBarComponent,
    NiceButtonComponent,
    NiceSideBarComponent
  ],
  exports: [
    NiceLabelComponent,
    NiceTextFieldComponent,
    NiceTopBarComponent,
    NiceButtonComponent,
    NiceSideBarComponent
  ]
})
export class McrComponentsModule {
  static forRoot(): ModuleWithProviders {
    return {ngModule: McrComponentsModule, providers: []};
  }
}
